#!/bin/bash
#
# Copyright (c) 2009, Intel Corporation.
#
# This Intel Cluster Ready program ("Software") is furnished under license and
# may only be used or copied in accordance with the terms of that license. No 
# license, express or implied, by estoppel or otherwise, to any intellectual 
# property rights is granted by this document. The Software is subject to 
# change without notice, and should not be construed as a commitment by Intel 
# Corporation to market, license, sell or support any product or technology. 
# Unless otherwise provided for in the license under which this Software is 
# provided, the Software is provided AS IS, with no warranties of any kind, 
# express or implied. Except as expressly permitted by the Software license, 
# neither Intel Corporation nor its suppliers assumes any responsibility or 
# liability for any errors or inaccuracies that may appear herein. Except as 
# expressly permitted by the Software license, no part of the Software may be 
# reproduced, stored in a retrieval system, transmitted in any form, or 
# distributed by any means without the express written consent of Intel
# Corporation.
#
#
# This script is intended to calculate subnets given the ip and netmask
#

ip_1=$(echo $1 | cut -d. -f1)
ip_2=$(echo $1 | cut -d. -f2)
ip_3=$(echo $1 | cut -d. -f3)
ip_4=$(echo $1 | cut -d. -f4)

nm_1=$(echo $2 | cut -d. -f1)
nm_2=$(echo $2 | cut -d. -f2)
nm_3=$(echo $2 | cut -d. -f3)
nm_4=$(echo $2 | cut -d. -f4)

let sn_1="$ip_1&nm_1"
let sn_2="$ip_2&nm_2"
let sn_3="$ip_3&nm_3"
let sn_4="$ip_4&nm_4"

sn_adrs="$sn_1.$sn_2.$sn_3.$sn_4"

echo $sn_adrs